# Function configure

- configure<B>(options): (<I, O>(inputs) => Generator<GraphQlRequest | Web3Request, Project.Batch.Outputs<B, O>, any>)

- #### Type Parameters

  - #### B extends Meta.Batch.Batch

  #### Parameters

  - ##### options: Project.Batch.Options<B>

  #### Returns (<I, O>(inputs) => Generator<GraphQlRequest | Web3Request, Project.Batch.Outputs<B, O>, any>)

  - - <I, O>(inputs): Generator<GraphQlRequest | Web3Request, Project.Batch.Outputs<B, O>, any>

    - #### Type Parameters

      - #### I extends any

      - #### O extends any

      #### Parameters

      - ##### inputs: Project.Batch.Inputs<B, I>

      #### Returns Generator<GraphQlRequest | Web3Request, Project.Batch.Outputs<B, O>, any>

  - Defined in packages/db/src/project/batch.ts:11

Generated using TypeDoc